## hnb 1.9.18

=== util/Makefile ===
all: asc2c
clean:
	rm -f asc2c *~
