=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: set ft=make:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CPPFLAGS_MAINT_PREPEND="-I/usr/include/ncursesw"

%:
	dh $@

override_dh_auto_build:
	$(MAKE) --always-make src/hnbrc.inc
	$(MAKE) --always-make -C src init_subsystems.c
	dh_auto_build src/hnb
	$(MAKE) --always-make -C doc Documentation.html

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_compress:
	dh_compress -X Documentation.hnb

# Empty target
override_dh_auto_install:
