## hnb 1.9.18%2Bds1

=== debian/changelog ===
hnb (1.9.18+ds1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:47 +0000

hnb (1.9.18+ds1-1) unstable; urgency=medium

  * Rebuilt upstream source tar ball without generated files:
    + doc/Documentation.html
    + src/cli_history.o (fixes lintian warning source-is-missing)
    + src/hnbrc.inc
    + src/init_subsystems.c
  * Run under LC_ALL=C to fix FTBFS under some locales. (Closes: #795638)
  * Declare compliance with Debian Policy 3.9.6 (no changes needed)
  * Add patch to fix spelling error in resulting binary.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Aug 2015 13:04:00 +0200
