=== debian/changelog ===
hnb (1.9.18+ds1-3) unstable; urgency=medium

  * Workaround FTBFS with GCC 10 by using -fcommon. (Closes: #957337)
  * Update Vcs-* header for move to Salsa.
  * Add version to dummy debian/watch to please lintian.
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 09:01:23 +0200

hnb (1.9.18+ds1-2) unstable; urgency=low

  * Declare compliance with Debian Policy 4.1.2. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Switch Vcs-* headers to cgit and HTTPS.
  * Remove no more needed lintian (source) override.
  * Enable all hardening build flags.
  * Expand 28_fix_spelling_error_in_binary.patch to fix some more spelling
    errors found by lintian.
  * debian/copyright: Update URL to lhnb git repo. Issue reported by DUCK.
  * Add debian/duck-overrides for an old, no more valid e-mail address
    where no more recent address couldn't be determined.
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Mon, 18 Dec 2017 02:50:04 +0100
