=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Carsten Hey <carsten@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                libncursesw5-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.5.0
 Homepage: http://hnb.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/hnb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hnb.git
+Vcs-Git: https://salsa.debian.org/debian/hnb.git
+Vcs-Browser: https://salsa.debian.org/debian/hnb
+Rules-Requires-Root: no
 
 Package: hnb
 Architecture: any
