=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CPPFLAGS_MAINT_PREPEND="-I/usr/include/ncursesw"
+export DEB_CFLAGS_MAINT_APPEND="-fcommon"
+export LC_ALL=C
 
 %:
 	dh $@
