=== debian/watch ===
# hnb 1.9.18 has been removed from hnb.sf.net.
version=4
